CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(APP_NAME flysimu)
PROJECT(${APP_NAME})
  
SET(SOURCE_FILES 
	main.c
	WIN/help.c
	WIN/win.c
	WIN/fps.c
	NET/network.c
	NET/point.c
	TEX/texture.c
	CONF/uniform.c
	OGL/move.c
	OGL/cube.c
	OGL/flybox.c
	OGL/opengl.c
	OGL/cockpit.c
	FONT/font.c
)

LINK_DIRECTORIES( ${PROJECT_SOURCE_DIR}/lib )
INCLUDE_DIRECTORIES( ${PROJECT_SOURCE_DIR}/include )

ADD_EXECUTABLE(${APP_NAME} ${SOURCE_FILES})
SET(LIBRARIES m X11 GLEW GL GLU png)
TARGET_LINK_LIBRARIES(${APP_NAME} ${LIBRARIES})

